function isValidCode(strCode)
{
   var i, cChar
   var strValidID = "0123456789-";
   for (i = 0; i < strCode.length; i ++ )
   {
      cChar = strCode.charAt(i);
      if(strValidID.indexOf(cChar) == - 1) return false;
   }
   return true;
}
function SkyContentstudent()
{
   var info, s, ad;
   ad = "〖学校教务管理系统提示您！〗\n";
   info = ad + "您确实要操作学生评价信息吗?";
   s = document.getElementById("TxtNote")
   if(s.value == "")
   {
      window.alert(ad + "评价内容名称不能为空！");
      s.focus();
      return false;
   }
   s = document.getElementById("TxtShowID")
   if(s.value == "" || ! isValidCode(s.value))
   {
      window.alert(ad + "评价内容显示顺序不能为空,并且必须是数字！");
      s.focus();
      return false;
   }
   // #########################################################################
   s = document.getElementById("TxtC1")
   if(s.value == "" || ! isValidCode(s.value))
   {
      window.alert(ad + "评价分数不能为空,并且必须是数字！");
      s.focus();
      return false;
   }
   s = document.getElementById("TxtC2")
   if(s.value == "" || ! isValidCode(s.value))
   {
      window.alert(ad + "评价分数不能为空,并且必须是数字！");
      s.focus();
      return false;
   }
   s = document.getElementById("TxtC3")
   if(s.value == "" || ! isValidCode(s.value))
   {
      window.alert(ad + "评价分数不能为空,并且必须是数字！");
      s.focus();
      return false;
   }
   s = document.getElementById("TxtC4")
   if(s.value == "" || ! isValidCode(s.value))
   {
      window.alert(ad + "评价分数不能为空,并且必须是数字！");
      s.focus();
      return false;
   }
   // #########################################################################
   if(confirm(info))
   {
      return true;
   }
   else
   {
      return false;
   }
}
function SkyContentTeacher()
{
   var info, s, ad;
   ad = "〖学校教务管理系统提示您！〗\n";
   info = ad + "您确实要操作学生评价信息吗?";
   s = document.getElementById("TxtNote")
   if(s.value == "")
   {
      window.alert(ad + "评价内容名称不能为空！");
      s.focus();
      return false;
   }
   // #########################################################################
   s = document.getElementById("TxtNote1")
   if(s.value == "")
   {
      window.alert(ad + "评价内容名称不能为空！");
      s.focus();
      return false;
   }
   s = document.getElementById("TxtNote2")
   if(s.value == "")
   {
      window.alert(ad + "评价内容名称不能为空！");
      s.focus();
      return false;
   }
   s = document.getElementById("TxtNote3")
   if(s.value == "")
   {
      window.alert(ad + "评价内容名称不能为空！");
      s.focus();
      return false;
   }
   // #########################################################################
   s = document.getElementById("TxtShowID")
   if(s.value == "" || ! isValidCode(s.value))
   {
      window.alert(ad + "评价内容显示顺序不能为空,并且必须是数字！");
      s.focus();
      return false;
   }
   // #########################################################################
   s = document.getElementById("TxtC1")
   if(s.value == "" || ! isValidCode(s.value))
   {
      window.alert(ad + "评价分数不能为空,并且必须是数字！");
      s.focus();
      return false;
   }
   s = document.getElementById("TxtC2")
   if(s.value == "" || ! isValidCode(s.value))
   {
      window.alert(ad + "评价分数不能为空,并且必须是数字！");
      s.focus();
      return false;
   }
   s = document.getElementById("TxtC3")
   if(s.value == "" || ! isValidCode(s.value))
   {
      window.alert(ad + "评价分数不能为空,并且必须是数字！");
      s.focus();
      return false;
   }
   s = document.getElementById("TxtC4")
   if(s.value == "" || ! isValidCode(s.value))
   {
      window.alert(ad + "评价分数不能为空,并且必须是数字！");
      s.focus();
      return false;
   }
   s = document.getElementById("TxtC5")
   if(s.value == "" || ! isValidCode(s.value))
   {
      window.alert(ad + "评价分数不能为空,并且必须是数字！");
      s.focus();
      return false;
   }
   s = document.getElementById("TxtC6")
   if(s.value == "" || ! isValidCode(s.value))
   {
      window.alert(ad + "评价分数不能为空,并且必须是数字！");
      s.focus();
      return false;
   }
   // #########################################################################
   if(confirm(info))
   {
      return true;
   }
   else
   {
      return false;
   }
}


function SkyGrade()
{
   var info, s, ad;
   ad = "〖学校教务管理系统提示您！〗\n";
   info = ad + "您确实要操作学生评价信息吗?";
   // #########################################################################
   s = document.getElementById("TxtGrade")
   if(s.value == "")
   {
      window.alert(ad + "等级名称不能为空！");
      s.focus();
      return false;
   }
   s = document.getElementById("TxtNote")
   if(s.value == "")
   {
      window.alert(ad + "等级说明不能为空！");
      s.focus();
      return false;
   }
   s = document.getElementById("TxtIMG")
   if(s.value == "")
   {
      window.alert(ad + "图片地址不能为空！");
      s.focus();
      return false;
   }
   // #########################################################################
   s = document.getElementById("TxtNum")
   if(s.value == "" || ! isValidCode(s.value))
   {
      window.alert(ad + "小于分数显示的等级分数不能为空,并且必须是数字！");
      s.focus();
      return false;
   }
   // #########################################################################
   if(confirm(info))
   {
      return true;
   }
   else
   {
      return false;
   }
}



function InDateInfo()
{
   var info
   info = "\n〖学校教务管理系统提示您！〗\n\n";
   info = info + "您确实要提交评价信息吗?请注意，此信息提交后不能修改！";
   if(confirm(info))
   {
      info = "在次确认信息\n" + info
      if(confirm(info))
      {
         return true;
      }
      else
      {
         return false;
      }
   }
   else
   {
      return false;
   }
}
